package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum AchievementSwitchSign {
	
	OPEN(0, "不删除成果所有人ID"),
	CLOSE(1,"删除成果所有人ID"),
	OTHER(2, "其他");

	private AchievementSwitchSign(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, AchievementSwitchSign> status = new HashMap<Integer, AchievementSwitchSign>();

	static {
		for (AchievementSwitchSign value : AchievementSwitchSign.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static AchievementSwitchSign getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static AchievementSwitchSign getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
